package com.zanxiang.game.back.serve.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.zanxiang.game.back.serve.pojo.entity.GameTencentMiniGameCallback;

import java.time.LocalDateTime;
import java.util.Map;

public interface IGameTencentMiniGameCallbackService extends IService<GameTencentMiniGameCallback> {

    void delayUpdateMiniGameUserCallBackUrl(Long gameId, LocalDateTime startTime);

    boolean callback(Map<String, Object> paramMap);

    String getCallBackUrl(Long gameId, String wechatOpenid, String clickId, LocalDateTime registerTime, boolean matchTime);

    Map<String, String> getCallBackByOpenId(Long gameId, String wechatOpenid);
}
